#include "stm32f1xx_hal.h"
#include "rcc.h"

/* ѡ8MHzⲿΪԴ,ʼϵͳʱӺʱ,SYSCLK=72MHz,HCLK=72MHz,PCLK1=36MHz,PCLK2=72MHz */

void RccClock_Init_72(void)
{
	
	RCC_OscInitTypeDef RCC_OscInitStructure;
	RCC_ClkInitTypeDef RCC_ClkInitStructure;
	
	
	RCC_OscInitStructure.OscillatorType=RCC_OSCILLATORTYPE_HSE;							//ѡԴ,8MHzⲿ
	RCC_OscInitStructure.HSEState=RCC_HSE_ON;																//ڲ
	RCC_OscInitStructure.HSEPredivValue=RCC_HSE_PREDIV_DIV1;								//HSE1Ƶ,õ8MHz
	RCC_OscInitStructure.PLL.PLLState=RCC_PLL_ON;														//PLL໷
	RCC_OscInitStructure.PLL.PLLSource=RCC_PLLSOURCE_HSE;										//HSEֱΪPLLʱԴ,8MHz
	RCC_OscInitStructure.PLL.PLLMUL=RCC_PLL_MUL9;														//PLL9Ƶ,Ƶõ72MHz
	HAL_RCC_OscConfig(&RCC_OscInitStructure);
	
	RCC_ClkInitStructure.ClockType=RCC_CLOCKTYPE_SYSCLK|RCC_CLOCKTYPE_HCLK|RCC_CLOCKTYPE_PCLK1|RCC_CLOCKTYPE_PCLK2;
	RCC_ClkInitStructure.SYSCLKSource=RCC_SYSCLKSOURCE_PLLCLK;
	RCC_ClkInitStructure.AHBCLKDivider=RCC_SYSCLK_DIV1;
	RCC_ClkInitStructure.APB1CLKDivider=RCC_HCLK_DIV2;
	RCC_ClkInitStructure.APB2CLKDivider=RCC_HCLK_DIV1;
	HAL_RCC_ClockConfig(&RCC_ClkInitStructure,FLASH_LATENCY_2);								//FLATENCYȡֵҪ鿴ֲ,ݾ
	
}



/* ѡڲRCΪԴ,ʼϵͳʱӺʱ,SYSCLK=64MHz,HCLK=64MHz,PCLK1=32MHz,PCLK2=64MHz */

void RccClock_Init_64(void)
{
	
	RCC_OscInitTypeDef RCC_OscInitStructure;
	RCC_ClkInitTypeDef RCC_ClkInitStructure;
	
	RCC_OscInitStructure.OscillatorType=RCC_OSCILLATORTYPE_HSI;							//ѡԴ
	RCC_OscInitStructure.HSIState=RCC_HSI_ON;																//ڲ
	RCC_OscInitStructure.HSICalibrationValue=RCC_HSICALIBRATION_DEFAULT;		//Ըڲֵ΢,Ĭ16
	RCC_OscInitStructure.PLL.PLLState=RCC_PLL_ON;														//PLL໷
	RCC_OscInitStructure.PLL.PLLSource=RCC_PLLSOURCE_HSI_DIV2;							//HSI2ƵΪPLLʱԴ,2Ƶֵ4MHz
	RCC_OscInitStructure.PLL.PLLMUL=RCC_PLL_MUL16;													//PLL16Ƶ,Ƶõ64MHz
	HAL_RCC_OscConfig(&RCC_OscInitStructure);
	
	RCC_ClkInitStructure.ClockType=RCC_CLOCKTYPE_SYSCLK|RCC_CLOCKTYPE_HCLK|RCC_CLOCKTYPE_PCLK1|RCC_CLOCKTYPE_PCLK2;
	RCC_ClkInitStructure.SYSCLKSource=RCC_SYSCLKSOURCE_PLLCLK;
	RCC_ClkInitStructure.AHBCLKDivider=RCC_SYSCLK_DIV1;
	RCC_ClkInitStructure.APB1CLKDivider=RCC_HCLK_DIV2;
	RCC_ClkInitStructure.APB2CLKDivider=RCC_HCLK_DIV1;
	HAL_RCC_ClockConfig(&RCC_ClkInitStructure,FLASH_LATENCY_2);							//FLATENCYȡֵҪ鿴ֲ,ݾ
	
}	

