#ifndef __KEY__H
#define __KEY__H

#include "stm32f1xx.h"
#include "stdint.h"

#define KEY_ON 	1
#define KEY_OFF 0

#define	KEY_UP		HAL_GPIO_ReadPin(GPIOA,GPIO_PIN_0)
#define KEY_LEFT	HAL_GPIO_ReadPin(GPIOE,GPIO_PIN_2)
#define KEY_DOWN	HAL_GPIO_ReadPin(GPIOE,GPIO_PIN_3)
#define KEY_RIGHT HAL_GPIO_ReadPin(GPIOE,GPIO_PIN_4)

uint8_t KEY_ScanL(uint8_t mode);
uint8_t KEY_ScanH(GPIO_TypeDef  *GPIOx, uint16_t GPIO_Pin);


void KEY_GPIO_Init(void);
void KEY_GPIO_Init_IT(uint8_t mode);
void KEY_GPIO_Init_Event(void);

#endif
