#ifndef __UART_H
#define __UART_H


#include "stdint.h"
#include "stdio.h"
#include "string.h"
//#include "stm32f1xx_hal_uart.h"
#include "stm32f1xx_hal.h"


#define U1_RX_SIZE 2048								//궨ջС
#define U1_TX_SIZE 2048								//궨巢ͻС
#define U1_RX_MAX  256								//궨Էһ͵255+1,Ϊ˲ж,ֻж


//λؿƿṹ
typedef struct{
	uint8_t *start;
	uint8_t *end;
}LCB;


//ڿƿṹ
typedef struct{
	uint32_t RxCounter;						//¼ѽյ
	uint32_t TxCounter;						//¼ѷ͵
	uint32_t TxState;
	LCB			 RxLocation[10];			//ṹ,Ԫһṹ
	LCB			 TxLocation[10];
	LCB			 *RxInPtr;						//ָLCBĽṹָ
	LCB			 *RxOutPtr;
	LCB			 *RxEndPtr;	
	LCB			 *TxInPtr;
	LCB			 *TxOutPtr;
	LCB			 *TxEndPtr;	
	UART_HandleTypeDef uart;
}UCB;


extern uint8_t u1_rxbuff[U1_RX_SIZE];		//ⲿջ
extern uint8_t u1_txbuff[U1_TX_SIZE];		//ⲿͻ
extern UCB uart1;												//ⲿܿؽṹ


void UART1_Init(uint32_t baudrate);
void U1_PtrInit(void);
void U1_TxData(uint8_t *data,uint32_t data_len);


#endif
